package types

import "gorm.io/gorm"

/*
drop table if exists catecories;
create table if not exists categories (
	id int unsigned auto_increment primary key,
    name varchar(32) not null comment '',
    description varchar(256) default '' comment '',
    parent int unsigned  default 0 comment '',
    avatar varchar(128) default '' comment '',
	created_at bigint default 0 comment '',
    updated_at bigint default 0 comment '',
    deleted_at bigint default 0 comment '',
    unique(name,parent)
);

*/

type Category struct {
	gorm.Model
	Name     string `json:"name" gorm:"type:varchar(32)"`
	Parent uint   `json:"category"`
	Avatar   string `json:"avatar" gorm:"type:varchar(128)"`
	Description string `json:"description" gorm:"type:varchar(256)"`
}